## mp3splt 2.2.6a-maemo2

=== debian/changelog ===
mp3splt (2.2.6a-maemo2) unstable; urgency=low

  * Cleanup of debian directory.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat,  31 Oct 2009 14:23:39 -0700

mp3splt (2.2.6a-maemo1) unstable; urgency=low

  * Port of mp3splt to maemo.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat,  10 Oct 2009 14:23:39 -0700
