=== debian/control ===
Source: mp3splt
Section: user/multimedia
Priority: extra
Maintainer: Munteanu Alexandru Ionut (io_alex_2002@yahoo.fr)
Build-Depends: debhelper (>= 5), autotools-dev, libmp3splt0-dev, libltdl3-dev (>= 1.5.22)
Standards-Version: 3.7.2

Package: mp3splt
Architecture: any
Depends: ${shlibs:Depends}, libmp3splt0
Description: Command line program that splits MP3 and Ogg Vorbis files without reencoding
  Used to split MP3 (VBR supported) and Ogg Vorbis
  files into smaller files without decoding. Useful for splitting albums, either
  manually, using freedb.org data, or .cue files ...
  .
  Homepage: http://mp3splt.sourceforge.net/
