=== debian/watch ===
version=3
http://sf.net/mp3splt/mp3splt-([0-9.]+)\.tar\.gz
