## mp3splt 2.4.2

=== debian/changelog ===
mp3splt (2.4.2-2ubuntu1) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 08 Sep 2014 13:35:19 -0400

mp3splt (2.4.2-2) unstable; urgency=low

  * Include dependencies on libmp3splt-* plugin packages

 -- Ryan Niebur <ryan@debian.org>  Fri, 08 Jun 2012 18:24:54 -0700

mp3splt (2.4.2-1) unstable; urgency=low

  * move debian/rules to the libmp3splt-dev package
  * regenerate debian/control against libmp3splt 0.7.2-1, to get the
    bumped build dep
  * change build dependency on debhelper to 7.0.50 instead of 7.2
  * standards version 3.9.3
  * remove dep on libmp3splt-plugin, moved to libmp3splt0
  * suggest mp3splt-gtk
  * New Upstream Version (Closes: #622876)
    - fixes -o option fails without any '@' variable (Closes: #536027)
    - fixes regression in padded filename support (Closes: #592613)
    - fixes ID3v1 tags (Closes: #624577)
  * Update maintainer address, standards version, and vcs-* fields to
    collab-maint
  * Remove DMUA field
  * Use quilt 3.0 source format
  * add TODO and README to docs
  * update debian/copyright file
  * add patch to fix spelling of information
    - use DEP3 patch headers
  * convert to copyright format 1.0
  * Fix long lines in the man page

 -- Ryan Niebur <ryan@debian.org>  Mon, 04 Jun 2012 00:23:15 -0700
