=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/libmp3splt-dev/mp3splt.rules

EXTRA_CONFIGURE_OPTS=--enable-oggsplt_symlink
SHORT_INTERFACE="command line"
DH_OPTS=--with autotools_dev
