## mp3splt 2.6.2

=== debian/changelog ===
mp3splt (2.6.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #741164)
  * debian/control:
    - Add "libmp3splt0-flac" to Depends.
    - Update Build-Depends to match new "libmp3splt-dev" version 0.9.2.
    - Add "dh-autoreconf" to Build-Depends.
    - Bump Standards-Version to 3.9.8, no changes needed.
    - Update Build-Depends to use "debhelper (>= 9)".
  * debian/compat: Update to debhelper compatibility version 9.
  * debian/rules: 
    - Run dh_autoreconf to update config.{sub,guess}
      and {libtool,aclocal}.m4. (Closes: #727465)
    - Use option "DEB_BUILD_MAINT_OPTIONS = hardening=+all".

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 09 Oct 2016 18:41:08 +0200
