=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mp3splt
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
-Build-Depends: debhelper (>= 7.0.50), autotools-dev, libmp3splt-dev (>= 0.7.2-2~), libmp3splt-dev (<< 0.7.3~)
-Standards-Version: 3.9.3
+Maintainer: Ryan Niebur <ryan@debian.org>
+Build-Depends: debhelper (>= 9), libmp3splt-dev (>= 0.9.2~), libmp3splt-dev (<< 0.9.3~), dh-autoreconf
+Standards-Version: 3.9.8
 Homepage: http://mp3splt.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mp3splt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mp3splt.git;a=summary
@@ -12,7 +11,7 @@
 Package: mp3splt
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libmp3splt0-mp3 | libmp3splt0-plugin
-Recommends: libmp3splt0-mp3, libmp3splt0-ogg, 
+Recommends: libmp3splt0-mp3, libmp3splt0-ogg, libmp3splt0-flac, 
 Suggests: mp3splt-gtk, 
 Description: command line interface to split MP3 and Ogg Vorbis files without reencoding
  Mp3Splt-project is a utility to split mp3 and ogg files selecting a
