=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 
 EXTRA_CONFIGURE_OPTS=--enable-oggsplt_symlink
 SHORT_INTERFACE="command line"
-DH_OPTS=--with autotools_dev
+DH_OPTS=--with autoreconf
