=== debian/control ===
Source: mp3splt
Standards-Version: 4.7.3
Maintainer: Ron Lee <ron@debian.org>
Section: sound
Build-Depends:
 debhelper-compat (= 13),
 libdbus-glib-1-dev,
 libogg-dev,
 libvorbis-dev,
 libflac-dev,
 libmad0-dev,
 libid3tag0-dev,
 libltdl3-dev,
 libgtk-3-dev,
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 audacious-dev,
 libaudclient-dev,
 doxygen,
 graphviz,
Vcs-Browser: https://salsa.debian.org/debian/mp3splt
Vcs-Git: https://salsa.debian.org/debian/mp3splt.git
Homepage: https://mp3splt.sourceforge.net/

Package: mp3splt
Architecture: any
Depends:
 libmp3splt (= ${libmp3splt:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 mp3splt-gtk,
Description: split MP3, Ogg Vorbis, or FLAC files without re-encoding
 This package provides the command line interface for splitting audio files at
 a given begin and end time position without decoding.  If splitting an album,
 you can select split points and filenames manually or read them from CDDB or
 cue files.  Splitting on silence and data from Mp3Wrap or AlbumWrap is also
 supported.  For mp3 files, both ID3v1 & ID3v2 tags are supported.  A GTK
 interface is provided in the mp3splt-gtk package.

Package: mp3splt-gtk
Architecture: any
Depends:
 libmp3splt (= ${libmp3splt:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 gstreamer1.0-plugins-good,
Suggests:
 mp3splt,
 audacious,
Description: split MP3, Ogg Vorbis, or FLAC files without re-encoding
 This package provides the graphical interface for splitting audio files at a
 given begin and end time position without decoding.  If splitting an album,
 you can select split points and filenames manually or read them from CDDB or
 cue files.  Splitting on silence and data from Mp3Wrap or AlbumWrap is also
 supported.  For mp3 files, both ID3v1 & ID3v2 tags are supported.  A command
 line interface is provided in the mp3splt package.

Package: libmp3splt
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 mp3splt | mp3splt-gtk,
Conflicts:
 libmp3splt0,
 libmp3splt0-ogg,
 libmp3splt0-mp3,
 libmp3splt0-flac,
 libmp3splt-dev,
Replaces:
 libmp3splt0,
 libmp3splt0-ogg,
 libmp3splt0-mp3,
 libmp3splt0-flac,
 libmp3splt-dev,
Description: support library for mp3splt and mp3splt-gtk
 The mp3splt utility splits audio files at a given begin and end time position
 without decoding.  This package provides the library functions used by the
 command line and graphical interfaces.
