=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,7 @@
 PARALLEL = $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NJOBS    = -j$(or $(PARALLEL),$(NUM_CPUS),1)
 
-
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
+include /usr/share/dpkg/architecture.mk
 
 HARD_CPPFLAGS = -D_FORTIFY_SOURCE=2
 HARD_CFLAGS   = -Wformat=2
@@ -31,7 +27,7 @@
 # We explicitly re-add -g and -O2 here, since by explicitly overriding
 # these variables, we otherwise disable autoconf adding them by default.
 CPPFLAGS = $(HARD_CPPFLAGS)
-CFLAGS   = $(HARD_CFLAGS) -g -O2
+CFLAGS   = $(HARD_CFLAGS) -g -O2 -std=gnu17
 CXXFLAGS = $(HARD_CFLAGS) -g -O2
 LDFLAGS  = $(HARD_LDFLAGS)
 
@@ -57,6 +53,7 @@
 # confusion when comparing what we ship to upstream's latest release.  To get
 # that, we parse it from the version that their respective configure reports.
 # The debian revision part will obviously always be the same for all of them.
+include /usr/share/dpkg/default.mk
 mp3splt_version     := $(shell dpkg-parsechangelog -SVersion)
 debian_revision     := $(shell echo $(mp3splt_version) | sed -e 's/.*-//')
 libmp3splt_version  := $(shell ./libmp3splt/configure  -V | awk '/libmp3splt configure/ {print $$3}')-$(debian_revision)
@@ -88,6 +85,7 @@
 	dh_testdir
 	dh_update_autotools_config
 	mkdir -p $(lib_objdir)
+	dh_autoreconf --sourcedirectory=libmp3splt &&			\
 	cd $(lib_objdir) &&						\
 		../libmp3splt/configure --host=$(DEB_HOST_GNU_TYPE)	\
 					--build=$(DEB_BUILD_GNU_TYPE)	\
@@ -101,7 +99,6 @@
 					LDFLAGS="$(LDFLAGS)"		\
 	|| (cat config.log; exit 1)
 
-
 # Set LIBMP3SPLT_CFLAGS and LIBMP3SPLT_LIBS so that we don't need an
 # installed libmp3splt.pc to find the library files and headers.
 lib_cflags  = -I$(CURDIR)/libmp3splt/include
@@ -111,6 +108,7 @@
 	dh_testdir
 	dh_update_autotools_config
 	mkdir -p $(cli_objdir)
+	dh_autoreconf --sourcedirectory=mp3splt &&			\
 	cd $(cli_objdir) &&						\
 		../mp3splt/configure	--host=$(DEB_HOST_GNU_TYPE)	\
 					--build=$(DEB_BUILD_GNU_TYPE)	\
@@ -132,6 +130,7 @@
 	dh_testdir
 	dh_update_autotools_config
 	mkdir -p $(gui_objdir)
+	dh_autoreconf --sourcedirectory=mp3splt-gtk &&			\
 	cd $(gui_objdir) &&						\
 		../mp3splt-gtk/configure --host=$(DEB_HOST_GNU_TYPE)	\
 					--build=$(DEB_BUILD_GNU_TYPE)	\
@@ -206,13 +205,13 @@
 	dh_testroot
 	dh_installdocs -a
 	dh_installchangelogs -a
-	dh_strip -a --dbg-package=mp3splt-dbg
 	dh_compress -a
 	dh_fixperms -a
+	dh_strip -a
 	dh_makeshlibs -plibmp3splt -V'libmp3splt (= $(libmp3splt_version))'
 	dh_installdeb -a
 	dh_shlibdeps -a -- -xlibmp3splt
-	dh_gencontrol -pmp3splt -pmp3splt-dbg -- $(SUBST_VARS)
+	dh_gencontrol -pmp3splt     -- $(SUBST_VARS)
 	dh_gencontrol -pmp3splt-gtk -- -v$(mp3splt_gtk_version) $(SUBST_VARS)
 	dh_gencontrol -plibmp3splt  -- -v$(libmp3splt_version) $(SUBST_VARS)
 	dh_md5sums -a
